Orxonox: OIS::EventUtils Class Reference

# OIS::EventUtils Class Reference

`#include <src/ois/linux/EventHelpers.h>`

List of all members.

## Static Public Member Functions

static void | enumerateForceFeedback (int deviceID, LinuxForceFeedback **ff)
static std::string | getName (int deviceID)
static bool | isJoyStick (int deviceID, JoyStickInfo &js)
static bool | isKeyboard (int)
static bool | isMouse (int)
static void | removeForceFeedback (LinuxForceFeedback **ff)

## Member Function Documentation

void EventUtils::enumerateForceFeedback | ( | int | deviceID,
|  | LinuxForceFeedback ** | ff |
| ) |  |  | `[static]`

References OIS::Effect::Constant, OIS::Effect::ConstantForce, OIS::Effect::Custom, OIS::Effect::CustomForce, OIS::Effect::Damper, OIS::Effect::Friction, OIS::Effect::Inertia, isBitSet(), OIS::Effect::PeriodicForce, OIS::Effect::Ramp, OIS::Effect::RampForce, removeForceFeedback(), OIS::Effect::SawToothDown, OIS::Effect::SawToothUp, OIS::Effect::Sine, OIS::Effect::Spring, OIS::Effect::Square, and OIS::Effect::Triangle.

Referenced by OIS::LinuxJoyStick::_initialize().

std::string EventUtils::getName | ( | int | deviceID | ) | `[static]`

References OIS_DEVICE_NAME.

Referenced by isJoyStick().

bool EventUtils::isJoyStick | ( | int | deviceID,
|  | JoyStickInfo & | js |
| ) |  |  | `[static]`

References DeviceComponentInfo::absAxes, OIS::JoyStickInfo::axes, OIS::JoyStickInfo::axis_map, OIS::JoyStickInfo::axis_range, OIS::JoyStickInfo::button_map, OIS::JoyStickInfo::buttons, DeviceComponentInfo::buttons, OIS::E_General, getComponentInfo(), getName(), DeviceComponentInfo::hats, OIS::JoyStickInfo::hats, OIS::JoyStickInfo::joyFileD, OIS_EXCEPT, DeviceComponentInfo::relAxes, and OIS::JoyStickInfo::vendor.

Referenced by OIS::LinuxJoyStick::_scanJoys().

static bool OIS::EventUtils::isKeyboard | ( | int |  | ) | `[inline, static]`

static bool OIS::EventUtils::isMouse | ( | int |  | ) | `[inline, static]`

void EventUtils::removeForceFeedback | ( | LinuxForceFeedback ** | ff | ) | `[static]`

Referenced by enumerateForceFeedback(), and OIS::LinuxJoyStick::~LinuxJoyStick().

The documentation for this class was generated from the following files:

- src/ois/linux/EventHelpers.h
- src/ois/linux/EventHelpers.cpp